Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.cache
Interface CacheKey

All Known Implementing Classes:
  KeyCacheKey, RowCacheKey

    public interface CacheKey

Method Summary
`Pair<java.lang.String,java.lang.String>` | `getPathInfo()`
`int` | `serializedSize()`
`void` | `write(java.io.DataOutputStream out)`

Method Detail

### write

    void write(java.io.DataOutputStream out)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### serializedSize

    int serializedSize()

  Returns:
    The size of the serialized key

### getPathInfo

    Pair<java.lang.String,java.lang.String> getPathInfo()

  Returns:
    The keyspace and ColumnFamily names to which this key belongs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation